<VERTEX_SHADER name="vs_main">
<Code>
uniform mat4 g_mWVP;

attribute vec4 a_Position;
attribute vec4 a_Color; 
attribute vec2 a_UV1;

varying vec4 v_color; 
varying vec2 v_uv;

void main()
{
	gl_Position = g_mWVP * a_Position;
	v_color = a_Color;
	v_uv = a_UV1;
}
</Code>
</VERTEX_SHADER> 

<PIXEL_SHADER name="ps_main">   	                                    
<Code>
#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D g_texture0;
uniform vec4 g_vBrightness;

varying vec4 v_color;
varying vec2 v_uv;
                    
void main()
{
	vec4 source = texture2D(g_texture0, v_uv);
	gl_FragColor = texture2D(g_texture0, v_uv) * v_color * (vec4(1, 1, 1, 1) + g_vBrightness);
}
</Code>
</PIXEL_SHADER>