<VERTEX_SHADER name="vs_main">
<Code>
uniform mat4 g_mWVP;  

attribute vec4 a_Position;
attribute vec4 a_Color; 

varying vec4 v_color; 

void main()
{
	gl_Position = g_mWVP * a_Position;
	v_color = a_Color;
}
</Code>
</VERTEX_SHADER> 

<PIXEL_SHADER name="ps_main">
<Code> 
#ifdef GL_ES
precision mediump float;
#endif
  	                                    
varying vec4 v_color;
                    
void main()
{
	gl_FragColor = v_color;
}
</Code>
</PIXEL_SHADER>