<VERTEX_SHADER>
uniform mat4 g_mWVP;  

attribute vec4 a_Position;
attribute vec2 a_UV1;

varying vec2 v_uv;

void main()
{
	gl_Position = g_mWVP * a_Position;
	v_uv = a_UV1;
}
</VERTEX_SHADER> 

<PIXEL_SHADER>  
#ifdef GL_ES
precision mediump float;
#endif
 	                                    
uniform sampler2D g_colorBuffer0;

varying vec2 v_uv;
                    
void main()
{
	gl_FragColor = texture2D(g_colorBuffer0, v_uv);
}
</PIXEL_SHADER>