<VERTEX_SHADER name="vs_main">
<Code>
uniform mat4 g_mWVP;

attribute vec4 a_Position;
attribute vec2 a_UV1;

varying vec2 v_uv;

void main()
{
	gl_Position = g_mWVP * a_Position;
	v_uv = a_UV1;
}
</Code>
</VERTEX_SHADER> 

<PIXEL_SHADER name="ps_main">
<Code name="code">
#ifdef GL_ES
precision mediump float;
#endif
	                                    
uniform sampler2D g_texture0;

varying vec2 v_uv;
                    
void main()
{
/*
    vec4 source = texture2D(g_texture0, v_uv);
    vec3 sum = vec3(0, 0, 0);
	vec2 offset = vec2(0, 0);
	vec2 dir = v_uv - vec2(0.25, 0.5);
	vec2 dirScale = dir * 0.018;
	float len = length(dir) * 2.0;
    float lenIntensity[2];
    //lenIntensity[0] = 1.0 * len;
    lenIntensity[1] = 0.5 * len;

	for (float idx = 1.0; idx != 2.0; idx += 1.0)
	{
        int i = int(abs(idx));
		offset = dirScale * idx;
		sum += texture2D(g_texture0, v_uv + offset).xyz * lenIntensity[i];
		sum += texture2D(g_texture0, v_uv - offset).xyz * lenIntensity[i];
    }

	gl_FragColor.xyz = source.xyz + (sum * 0.25);
	gl_FragColor.w = source.w;
*/
    vec4 source = texture2D(g_texture0, v_uv);
	vec2 dir = v_uv - vec2(0.33, 0.5);
	vec2 offset = vec2(dir.x * 0.009, dir.y * 0.009);

    vec3 sum = texture2D(g_texture0, v_uv + offset).xyz;
    sum += texture2D(g_texture0, v_uv - offset).xyz;

	gl_FragColor.xyz = source.xyz + (sum * 0.33);
	gl_FragColor.w = source.w;

	//gl_FragColor = texture2D(g_texture0, v_uv);
}
</Code>
</PIXEL_SHADER>