<VERTEX_SHADER>
uniform mat4 g_mWVP;  

attribute vec4 a_Position;
attribute vec4 a_Color; 
attribute float a_PointSize;

varying vec4 v_color; 

void main()
{
	gl_Position = g_mWVP * a_Position;
	gl_PointSize = a_PointSize;
	v_color = a_Color;
}
</VERTEX_SHADER> 

<PIXEL_SHADER>  
#version 120 

uniform sampler2D g_texture0; 	                                    
varying vec4 v_color;
                    
void main()
{
	gl_FragColor = texture2D(g_texture0, gl_PointCoord) * v_color;
}
</PIXEL_SHADER>