#include "SharkCommonDX11.fxh"

struct VS_IN
{
	float4 a_Position 	: POSITION;
	float4 a_Color 		: COLOR0;
};

struct VS_OUTPUT
{
    float4 v_position   	: SV_Position;   // vertex position 
	float4 v_color   		: COLOR0;
};

VS_OUTPUT vs_main( VS_IN In )
{
    VS_OUTPUT Output;
   
	Output.v_position = mul(In.a_Position, g_mWVP);
    Output.v_color = In.a_Color;
	
    return Output;    
}


float4 ps_main( VS_OUTPUT In ) : SV_Target0
{ 
    return In.v_color;
}